{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Build",
            "type": "shell",
            "options": {
                "env": {
                    "LC_ALL": "C"
                },
                "cwd": "${workspaceFolder}/firmware"
            },
            "command": "waf configure build",
            "group": "build",
            "problemMatcher": {
                "base": "$gcc",
                "fileLocation": [
                    "relative",
                    "${workspaceFolder}/firmware/build_waf"
                ]
            }
        },
        {
            "label": "Flash to Device",
            "type": "shell",
            "options": {
                "env": {
                    "LC_ALL": "C"
                },
                "cwd": "${workspaceFolder}/firmware"
            },
            "command": "avrdude",
            "args": [
                "-pm8",
                "-cstk500",
                "-P/dev/ttyUSB0",
                "-Uflash:w:build_waf/src/drums.hex"
            ],
            "problemMatcher": []
        }
    ]
}